All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.dav
Interface DAVFolderInterface

All Superinterfaces:
  AttributesInterface, DAVEntityInterface

All Known Implementing Classes:
  DAVFolder, DAVPackage, DAVPerson, DAVPersonalrepository, DAVProfile, DAVRemarks

    public interface DAVFolderInterface

extends DAVEntityInterface

Method Summary
`void` | `addEntity(DAVEntityInterface anEntity)` Add an entity to a folder
`DAVFolderInterface` | `createFolder(java.lang.String Name)` Create a folder (always relative to some folder)
`DAVFolderInterface` | `createFolder(java.lang.String Name, java.lang.String typeName)` Create a folder (always relative to some folder)
`DAVItemInterface` | `createItem(java.lang.String Name)` Create an item (always relative to some folder)
`DAVItemInterface` | `createItem(java.lang.String Name, java.lang.String typeName)` Create an item (always relative to some folder)
`java.util.Collection` | `getEntities()` Get a list of the entites in this folder
`DAVEntityInterface` | `getItem(java.lang.String Name)` Get an item in a folder by name
`java.util.Map` | `getItems()` Get the internal list of items in this folder.
`void` | `refresh(DAVFolderInterface folder)` Refresh this folder entity with information from the one passed as a parameter This method should only be called by the repository.

Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface
`addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface
`addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

Method Detail

### getItem

    DAVEntityInterface getItem(java.lang.String Name)

  Get an item in a folder by name

  Returns:
    Item or Folder that is identified by "Name"

### addEntity

    void addEntity(DAVEntityInterface anEntity)
                   throws ServiceException,
                          java.rmi.RemoteException

  Add an entity to a folder

  Parameters:
    `anEntity` - The entity (folder or item) to be added to this folder
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### createItem

    DAVItemInterface createItem(java.lang.String Name)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Create an item (always relative to some folder)

  Parameters:
    `Name` - The name of the item to create
  Returns:
    The item created in the folder
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### createItem

    DAVItemInterface createItem(java.lang.String Name,
                                java.lang.String typeName)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Create an item (always relative to some folder)

  Parameters:
    `Name` - The name of the item to create
    `typeName` - A type for the item, which will determine its property set through schema defintions
  Returns:
    The item created in the folder
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### createFolder

    DAVFolderInterface createFolder(java.lang.String Name)
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Create a folder (always relative to some folder)

  Parameters:
    `Name` - The name of the folder to create
  Returns:
    The new folder created in the existing folder
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### createFolder

    DAVFolderInterface createFolder(java.lang.String Name,
                                    java.lang.String typeName)
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Create a folder (always relative to some folder)

  Parameters:
    `Name` - The name of the folder to create
    `typeName` - A type for the item, which will determine its property set through schema defintions
  Returns:
    The new folder created in the existing folder
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getEntities

    java.util.Collection getEntities()

  Get a list of the entites in this folder

  Returns:
    A collection containing all the entities (items and subfolders)

### getItems

    java.util.Map getItems()

  Get the internal list of items in this folder. Thiw method should only be used by the repository.

  Returns:
    Map names to internal items in the folder

### refresh

    void refresh(DAVFolderInterface folder)

  Refresh this folder entity with information from the one passed as a parameter This method should only be called by the repository.

  Parameters:
    `folder` - The folder from which the refresh is going to be done

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.